![Language: Python](https://img.shields.io/badge/language-Python-green.svg)
![Topic: Utility](https://img.shields.io/badge/topic-Utility-green.svg)

# TCDump: Thought Capture Device Transcriber

<div style="margin: 6px; color: darkblue; font-size: small; float:left;
position: relative; max-width: 25%">
<img src="https://pendorwright.com/lj.g/DJ_TCD.jpg" style="aspect-ratio: 0.785;
width: 100%" border="0" /><br>
<span style="font-size: x-small;">My current TCD</span></div>
I have ADHD and I use a small tape recorder to capture all of the ephemeral
ideas and incidents that happen around me.  The OpenAI project recently released
[Whisper](https://github.com/openai/whisper), a speech-to-text engine that has
surprisingly good recognition even with it's smallest model.

This script is extremely personal and specific: it effectively transcribes and
dumps the contents of my tape recorder as text to stdout.  That's out.  It's
extremely useful to me, especially in conjunction with the Unix `tee` program.

If you have a tape recorder that presents as a USB device, you could probably
just make this work for you by:

- editing the path to the repository of recordings
- the regular expression describing the file name convention
- the strptime format in `converttcdfilename` that turns the filename into a
  human-readable date.
  
Note that "Could not find the repo" is an error condition (exit status 1), but
"No files found in repo" or "No files found meeting your criteria" or "No new
files found since last transcription" are all exit status 0, matching the Unix
tradition.

## LICENSE 

TCDump is Copyright [Elf M. Sternberg](https://elfsternberg.com) (c) 2019, and
licensed with the Mozilla Public License vers. 2.0. A copy of the license file
is included in this folder.



